## pastebinit 1.5

=== po/Makefile ===
all: build-mo

# create mo from the po files
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/pastebinit.mo

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(wildcard *.po))

update-po:
	pygettext -a -D ../pastebinit

## pastebinit 1.1

=== debian/changelog ===
pastebinit (1.1-2squeeze1) stable; urgency=low

  * backport upstream r81. Closes: #655179 (fix user config files support)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Jan 2012 13:16:51 +0800

pastebinit (1.1-2) unstable; urgency=low

  * debian/copyright: update to latest status
  * debian/patches/10-drop_rafb.net.patch: EOL rafb.net support
  * debian/patches/20-set_sensible_expiry.patch: expire pastebins (LP: #580816)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 15 May 2010 18:36:44 +0900

pastebinit (1.1-1) unstable; urgency=low

  * new upstream release (Closes: #572728)
  * update to Standard 3.8.4
    * add ${misc:Depends} to run-time dependencies (no real changes expected)
    * move to DebSrc3.0 format
  * maintain packaging information in git rather than bzr from now on

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 19 Apr 2010 04:58:36 +0900

pastebinit (0.11.2-1) unstable; urgency=low

  * push back new upstream release from Ubuntu Jaunty. (Closes: #519879)
    * fix parsing of config file. (Closes: #524422)
    * properly read from stdin. (Closes: #532504)
  * update to 3.8.2 standard.  No changes necessary.
  * update watch file
  * allow uploads by Debian Maintainers

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 22 Jul 2009 03:15:22 +0200

pastebinit (0.11.2-0ubuntu1) jaunty; urgency=low

  * new bugfix release (0.11.2)
   * Fix typo in manpage causing FTBFS

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Mar 2009 01:25:02 -0400

pastebinit (0.11.1-0ubuntu1) jaunty; urgency=low

  * new bugfix release (0.11.1)
   * Update translations
   * Fix pastebinit bugs as reported on Launchpad.
   * Disable 1t2.us as it no longer works.
   * Disable all options specifc to 1t2.us (commented out).
   * Fix remainning pastebins.
   * Update manpage. (LP: #157082)
   * Merge fix from Spiro Harvey (LP: #312456)
   * Change pastebinit's default behavior to reading from stdin (Thanks fta)
   * Code cleanup

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Mar 2009 01:05:36 -0400

pastebinit (0.11-2) unstable; urgency=low

  * rebuild for unstable after lenny release

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Feb 2009 16:44:15 +0900

pastebinit (0.11-1) experimental; urgency=low

  * new upstream release. Closes: #510075
    * add support for paste.debian.net (among others). Closes: #483381. Fixes LP: #236041
    * add German translation (among others). Closes: #493989

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 30 Dec 2008 15:47:03 +0100

pastebinit (0.10-1) unstable; urgency=low

  * initial debian release. backpush from ubuntu. Closes: #425226
  * apply the packaging cleanup from Julian Andreas Klode.  Fixes LP: #225676
  * remove *.mo in dh_clean so that "debuild;debuild" succeeds
  * use python-central to help with packaging

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 15 May 2008 00:35:18 +0200

pastebinit (0.10-0ubuntu1) intrepid; urgency=low

  * New upstream release (0.10) (LP: #229589)
   * http://yourpaste.net now supported (LP: #193352)
   * fixing wrong manpage (LP: #157082)
   * fixing typo "catched" > "caught" (LP: #219185)
   * debian/control: using Homepage field, not pseudo-one.
   * pastebinit: better handling of command-line passed pastebins

   [ Fabien Tassin ]
   * Add Vcs-Bzr to debian/control
   * Fix -a in Usage()
   * http://paste.ubuntu.com now supported
   * http://pastebin.mozilla.org now supported

   [ Stéphane Graber ]
   * Changed Homepage field to LP
   * http://paste.stgraber.org supported again
   * http://paste.f-box.org supported again
   * http://1t2.us supported again

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 12 May 2008 16:47:12 +0200

pastebinit (0.9-0ubuntu1) hardy; urgency=low

  * New upstream release (0.9)
   * LP #137648 - Control file updated
   * LP #115467 - http://rafb.net/paste now supported
   * LP #184276 - http://pastebin.archlinux.org now supported (Thanks to
     Sashi)
   * LP #184282 - -i parameter now optional (Thanks to Xilon)
   * LP #185508 - Change default pastebin to pastebin.com
   * Add a "page" parameter to specify a custom destination page
   * Use cleaner code to handle "regexp" and "page" parameters
   * Update manpage
  * Update packaging to 3.7.3
  * Update the control file according to manpage
  * Change maintainer field to MOTU

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 28 Jan 2008 22:24:42 +0100

pastebinit (0.8.2-0ubuntu1) gutsy; urgency=low

  * New upstream version
    - Implement gettext localization (David Paleino) (LP: #119723)
    - Normal kill now works (David Paleino) (LP: #119273)
    - Added XML-generated manpage from Debian package (David Paleino)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 07 Jul 2007 17:31:40 +0200

pastebinit (0.8-0ubuntu1) gutsy; urgency=low

  * New version upstream
    - Add 1t2.us pastebin support (Daniel Bartlett)
    - New parameters system (Daniel Bartlett)
    - Redirection support (Daniel Bartlett)
    - Pipe content detection (Stéphane Graber) 		
    - Title, format, user and password support (Daniel Bartlett) 		
    - Updated manpage (Stéphane Graber) 		
    - New regexp (Daniel Bartlett) 		

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 26 Apr 2007 14:05:31 +0200 		

pastebinit (0.6-0ubuntu1) feisty; urgency=low 		

  * New version upstream 		
    - Add a COPYING file 		
    - remove paste.ubuntu-nl.org because of the anti-spam javascript 		
    - change the default Pastebin 		
    - add two pastebins 		
    - add support of regexp 		

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 07 Dec 2006 20:58:31 +0100 		

pastebinit (0.5-0ubuntu1) feisty; urgency=low 		

  * Initial release 		

 -- Stéphane Graber <stgraber@stgraber.org>  Tue, 28 Nov 2006 19:32:40 +0100

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl, python-central (>= 0.5.6)
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python, python-configobj, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.

## pastebinit 1.1-2maemo0

=== debian/changelog ===
pastebinit (1.1-2maemo0) unstable; urgency=low

  * New Maintainer

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 26 Oct 2010 23:05:29 +0200

=== debian/control ===
Source: pastebinit
Section: user/utilities
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl, python-central (>= 0.5.6)
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python | python2.5, python-configobj, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
 uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
 F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
 FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
 pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
 Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
 RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
 sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
 qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
 q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
 +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
 xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
 ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
 lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
 swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
 XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
 drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
 f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
 A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
 tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
 +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
 XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
 g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
 ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
 DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
 zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
 YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
 sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
 acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
 S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
 NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
 PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
 yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
 eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
 aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
 LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
 I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
 D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
 kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
 kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
 WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
 RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
 UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
 F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
 AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
 MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
 qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
 zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
 HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
 t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
 n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
 vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
 Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
 zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
 YII=

## pastebinit 1.2

=== debian/changelog ===
pastebinit (1.2-2) experimental; urgency=low

  * new upstream release
    - drop all current patches as they have been pushed upstream
    - lots of fixed bugs:
      + document -f FORMAT option. LP: #614873, Closes: #562827
      + document the config file and its format. LP: #435303, Closes #574661
      + add support for paste.kde.org. LP: #700644, Closes: #608264
      + honor pastebin definitions from ~/.pastebin.d/. LP: #701039
  * install pastebin definitions to /usr/share/ instead of /etc. LP: #621923
  * ship upstream README file in package
  * debian/copyright: update my copyright

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 31 Jan 2011 07:51:54 +0800

pastebinit (1.1-3) experimental; urgency=low

  * 30-lsb.patch: set default pastebin according to OS (LP: #648298)
    patch courtesy of Mario Limonciello
  * update to Debian standard 3.9.1

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 26 Oct 2010 03:12:07 +0900

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl, python-central (>= 0.5.6)
XS-Python-Version: all
Standards-Version: 3.9.1
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python, python-configobj, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	xsltproc -''-nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl pastebinit.xml
	
	# build translations
	(cd po; $(MAKE))

clean:
	dh_testdir
	dh_testroot
	dh_clean pastebinit.1
	rm -f po/mo/*/LC_MESSAGES/pastebinit.mo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install

binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_pycentral
	dh_installchangelogs 
	dh_installdocs
	dh_installman pastebinit.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pastebinit 1.3

=== debian/changelog ===
pastebinit (1.3-2ubuntu2.1) precise-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 30 May 2012 09:54:17 -0400

pastebinit (1.3-2ubuntu2) precise; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes on the source package to have it
    included in the langpacks.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 13:31:35 -0400

pastebinit (1.3-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Convert do dh_python2
      + update debian/rules
      + update debian/control

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 16:07:03 -0500

pastebinit (1.3-2) unstable; urgency=low

  * ship some contrib scripts from Dustin Kirkland's bikeshed project
  * debian/control: bump build-time dependency to debhelper >= 7
  * debian/control: use dh_prep instead of dh_clean -k

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 17 Feb 2012 03:43:32 +0800

pastebinit (1.3-1) unstable; urgency=low

  * New upstream release 1.3
    - added support for paste.pound-python.org. Closes: #633072
    - added support for format option on paste.debian.net. Closes: #624592
    - improved feedback on site errors. Closes: #614072
    - properly document default pastebin as distro-specific. LP: #755997
    - properly name config file for pb.daviey.com. LP: #809371
  * debian/compat: bump to version 7
  * debian/copyright: update my copyright claim to 2012
  * debian/rules: add dummy build-arch and build-indep target

    not moving to dh_python2. If the python maintainer does not care enough
    to fix LP 788524 why should I?

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Feb 2012 22:43:30 +0800

pastebinit (1.2-4ubuntu1) precise; urgency=low

  * Convert to dh_python2 (Closes: #616933)
    - update debian/rules
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 28 Dec 2011 19:54:06 -0600

pastebinit (1.2-4) unstable; urgency=low

  * debian/pastebinit.preinst: add #DEBHELPER# token to script

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 15:58:04 +0900

pastebinit (1.2-3) unstable; urgency=low

  * update to latest Debian policy and release to unstable pocket
    (no further changes necessary)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 04 Jul 2011 09:48:21 +0900

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git
X-Ubuntu-Use-Langpack: yes

Package: pastebinit
Architecture: all
Depends: python, python-configobj, ${python:Depends}, ${misc:Depends}
Conflicts: bikeshed (<< 1.21)
Replaces: bikeshed (<< 1.21)
XB-Python-Version: ${python:Versions}
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+build-arch: build
+build-indep: build
 
 build:
 	xsltproc -''-nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl pastebinit.xml
@@ -19,7 +22,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	dh_install
 
@@ -27,10 +30,10 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_pycentral
+	dh_python2
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installman pastebinit.1
+	dh_installman
 	dh_compress
 	dh_fixperms
 	dh_installdeb

=== debian/watch ===
version=3
https://launchpad.net/pastebinit/+download http://launchpad.net/pastebinit/.*/pastebinit-(.+).tar.gz

## pastebinit 1.3-2maemo1

=== debian/changelog ===
pastebinit (1.3-2maemo1) unstable; urgency=low

  * New version from ubuntu

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 12 Dec 2012 12:36:17 -0400

## pastebinit 1.4

=== debian/changelog ===
pastebinit (1.4-3) unstable; urgency=low

  * bump debhelper to version 9
  * control: drop some obsolete python options

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Feb 2014 00:43:27 +0800

pastebinit (1.4-2) unstable; urgency=low

  * patches:
    ~ update upstream to r205. Fix unicode problem. LP: #1270359
      This essentially gives us upstream release 1.4.1
    ~ increase timeout to 15s to account for bad networks
  * watch: only check for 2-level (major.minor) upstream releases
  * drop preinst script as obsolete

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 18 Jan 2014 14:12:37 +0800

pastebinit (1.4-1) unstable; urgency=low

  [ Bart Martens ]
  * update watch file

  [ Rolf Leggewie ]
  * new upstream release 1.4
    - upstream bugfixes
      ~ crash in create_connection(). LP: #1032221
      ~ point shebang to python3. LP: #988468
      ~ allow calling pastebin by basename. Closes: #705979, LP: #977331
      ~ allow pasting several files at once. Closes: #662242
    - control: bump python to python3 in run-time dependencies
               remove python-configobj from run-time dependencies
    - drop all debian-patches as obsolete
  * control:
    - drop obsolete DMUA field
    - update to standard version 3.9.5. No further changes.
  * copyright: update upstream and my copyright to 2014

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 17 Jan 2014 17:32:21 +0800

pastebinit (1.3-4) unstable; urgency=low

  [ Stéphane Graber ]
  * backport new pastebin.com config from 1.3.1. Closes: 673311,LP: #996242

  [ Rolf Leggewie ]
  * debian/control: add python-support to build-depends
  * debian/pastebinit.preinst: use set -e rather than shebang equivalent
  * reinstate pastebin.com as default pastebin

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 13 Jun 2012 12:04:36 +0800

pastebinit (1.3-3) unstable; urgency=low

  * debian/control:
    - use Breaks instead of Conflicts for the bikeshed package
    - bump to standard 3.9.3, no further changes
    - recommend the lsb-release package
  * move to dh7 rules.tiny for the build process. Closes: #616933
  * replace pastebin.com with paste.debian.net as default pastebin
    until the breakage from their API change has been fixed upstream

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 20 May 2012 12:30:42 +0800

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.9.5
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python3, ${misc:Depends}
Recommends: lsb-release
Breaks: bikeshed (<< 1.21)
Replaces: bikeshed (<< 1.21)
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.

=== debian/watch ===
version=3
https://launchpad.net/pastebinit/+download .*/pastebinit-(\d\.\d)\.(?:tgz|tar\.(?:gz|bz2|xz))

## pastebinit 1.4-3maemo0

=== debian/changelog ===
pastebinit (1.4-3maemo0) unstable; urgency=low

  * Port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Mon, 18 May 2015 20:15:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pastebinit
 Section: misc
 Priority: optional
-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Build-Depends: debhelper (>= 9)
+Maintainer: Marcin Mielniczuk <marmistrz@inboxalias.com>
+XSBC-Original-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Build-Depends: debhelper7, maemo-optify
 Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
 Standards-Version: 3.9.5
 Homepage: http://launchpad.net/pastebinit/

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

%:
	dh $@

override_dh_auto_build:
	xsltproc -''-nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl pastebinit.xml
	
	# build translations
	(cd po; $(MAKE))

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify

## pastebinit 1.4-3maemo1

=== debian/changelog ===
pastebinit (1.4-3maemo1) unstable; urgency=low

  * Fixed a small bug

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Mon, 18 May 2015 20:38:24 +0200

## pastebinit 1.5

=== debian/changelog ===
pastebinit (1.5-1) unstable; urgency=medium

  * new upstream release
    - add https support. Closes: #799580, closes: #708206.
    - add support for hidden pastes. Closes: #670485.
    - correct mistake in README. LP: #1446433
  * drop all Debian patches since they were applied upstream
  * control: update to Debian standard 3.9.7
  * copyright: update copyright to 2016

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 01 Mar 2016 20:18:36 +0800

pastebinit (1.4-6) unstable; urgency=medium

  [ Alberto Fuentes ]
  * patches: fix format line in slexy.org configuration. Closes: #743394

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Jan 2016 20:22:00 +0800

pastebinit (1.4-5) UNRELEASED; urgency=medium

  [ Bart Martens ]
  * watch: make the syntax more robust

  [ Rolf Leggewie ]
  * control:
    - drop now-obsolete recommendation for lsb-release package
    - update to standard 3.9.6. No further changes.
  * add script to help with collection of bug triage information

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 17 Oct 2015 14:12:03 +0800

pastebinit (1.4-4) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * detect_distro_with_python3.patch: Use platform instead of
    lsb_release to detect the distro as lsb_release is not
    available under Python 3 (Closes: #760341). pastebinit
    will now default again to using paste.debian.net on Debian
    (Closes: #778336).

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Feb 2015 11:35:07 +0800

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.9.7
Homepage: http://launchpad.net/pastebinit/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pastebinit.git
Vcs-Git: git://git.debian.org/collab-maint/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python3, ${misc:Depends}
Breaks: bikeshed (<< 1.21)
Replaces: bikeshed (<< 1.21)
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site 
 which allows its users to upload snippets of text for public viewing.

=== debian/watch ===
version=3
https://launchpad.net/pastebinit/ \
(?:|.*/)pastebinit(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pastebinit 1.5.1

=== debian/changelog ===
pastebinit (1.5.1-1ubuntu1) devel; urgency=medium

  * d/p/0001-Fix-pasting-files-to-JSON-based-bins.patch:
    - Fix pasting files to JSON based bins. (LP: #1785821)
  * d/p/0002-Allow-private-to-be-configured.patch:
    - Allow 'private' to be configured.
  * d/p/0003-Update-Openstack-s-pastebin-site-paste.openstack.org.patch:
    - Update Openstack's pastebin site, paste.openstack.org → paste.opendev.org
  * d/p/0004-Fix-distro.linux_distribution-deprecation.patch:
    - Fix distro.linux_distribution deprecation. (LP: #1844128)
  * d/copyright: Correct paths.
  * d/control:
    - Replace d/compat with debhelper-compat, bump to 13.
    - R³: no.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Nov 2021 21:53:34 -0500

pastebinit (1.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix the URL in the manpage (Closes: #822636, LP: #1574849).
    - Add German translations (Closes: #886026).
    - Remove cxg.de and lpaste.net (Closes: #915901).
    - Remove both patches as they were applied upstream.
  * Update to the new pastebinit home in debian/control.
  * Update the watch file for the new upstream location.
  * Bump Standards-version to 4.4.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 03 Aug 2019 00:48:40 -0500

pastebinit (1.5-3) unstable; urgency=medium

  * Salvage the package (Closes: #927231).
  * Update Vcs to reflect the move to Salsa.
  * Run wrap-and-sort.
  * Fix typo in a patch description.
  * Update Standards-version to 4.3.0, no changes needed.
  * Fix trailing whitespace.
  * Bump debhelper compat to 12, no changes needed.
  * Update the copyright file to be DEP-5 compliant.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 23 Jul 2019 16:31:11 -0500

pastebinit (1.5-2.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * This is a fixup upload of the previous NMU

  [ Unit 193 ]
  * 0002-update-urlopen-usage.patch:
    - Update to account for json pastebin services.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 06 Jul 2019 19:35:41 -0400

pastebinit (1.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python3-distro, which was forgotten in the last upload.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 19 Apr 2019 21:05:19 -0500

pastebinit (1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix deprecation warnings under Python 3.6 and 3.7 (Closes: #916372).
    - Thanks to Antonio Terceiro for the patches!

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 12 Apr 2019 18:10:40 -0500

pastebinit (1.5-2) unstable; urgency=medium

  * control:
    - update VCS URIs to point to github
    - update Debian Standard to 4.1.4
  * copyright: update to 2018

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Apr 2018 23:38:02 +0800

pastebinit (0.6-0ubuntu1) feisty; urgency=low

  * New version upstream
    - Add a COPYING file
    - remove paste.ubuntu-nl.org because of the anti-spam javascript
    - change the default Pastebin
    - add two pastebins
    - add support of regexp

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 07 Dec 2006 20:58:31 +0100

pastebinit (0.5-0ubuntu1) feisty; urgency=low

  * Initial release

 -- Stéphane Graber <stgraber@stgraber.org>  Tue, 28 Nov 2006 19:32:40 +0100

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-xml, docbook-xsl, xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://phab.lubuntu.me/source/pastebinit/
Vcs-Browser: https://salsa.debian.org/debian/pastebinit
Vcs-Git: https://salsa.debian.org/debian/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python3, python3-distro, ${misc:Depends}
Breaks: bikeshed (<< 1.21)
Replaces: bikeshed (<< 1.21)
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site
 which allows its users to upload snippets of text for public viewing.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/@ANY_VERSION@\.tar\.gz/pastebinit_$1\.orig\.tar\.gz/ \
  https://github.com/lubuntu-team/pastebinit/tags .*/@ANY_VERSION@\.tar\.gz

## pastebinit 1.6.2

=== debian/changelog ===
pastebinit (1.6.2-1) unstable; urgency=medium

  * New upstream relase (1.6.1). GitHub Changelog:
    * Revert "Add NoneType handling/fix for Debian (Closes: #1023962)"
    * Default to empty string in os.environ.get for potentially empty 
      env vars
      (Closes: #1023962)

 -- Thomas Ward <teward@ubuntu.com>  Mon, 14 Nov 2022 16:33:59 -0500

pastebinit (1.6.1-1) unstable; urgency=medium

  * New upstream release (1.6.1). GitHub Changelog:
    * Add NoneType handling/fix for Debian (Closes: #1023962)

 -- Thomas Ward <teward@ubuntu.com>  Sun, 13 Nov 2022 21:51:01 -0500

pastebinit (1.6-1) unstable; urgency=medium

  * New upstream release. (1.6)  GitHub Changelog:
    * Traverse options hierarchy properly.
    * Move non-parameter options to '[pastebin]' section.
    * Process pastebin settings outside of multi-paste loop.
    * Check for pastebin before getting input (LP: #1273859)
    * Add support for XDG config and data directories (LP: #1324280, 
      LP: #1671107)
    * Make private pasting togglable both ways at runtime.
    * Paste privately by default where supported.
    * Fix and update pastebin.com configuration (LP: #1309107, 
      LP: #1552092)
    * Work around pastebins with user name length limit (LP: #1437286)
    * Update and improve documentation.
  * Additional packaging changes:
    * d/control:
      * Update Maintainer to replace Simon Quigley with Thomas Ward
        (discussed with and approved by Simon)
      * Update uploaders to include Simon Quigley and Thomas Ward
        (co-maintainer situation)
      * Remove breaks/replaces on old bikeshed.
      * Update build-depends, standards version, and homepage for 
        upstream project.
      * Add Rules-Requires-Root: no.
    * d/watch:
      * Update d/watch for new upstream location now on Github
    * d/dirs: Removed unnecessary file in debian packaging.
    * d/compat: Remove compat file, replaced with debhelper-compat
      in build deps.
    * d/copyright: Update copyright file to match expected formats, update
      packaging copyrights list

 -- Thomas Ward <teward@ubuntu.com>  Sat, 12 Nov 2022 17:04:08 -0500

=== debian/control ===
Source: pastebinit
Section: misc
Priority: optional
Maintainer: Thomas Ward <teward@ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-xml, docbook-xsl, xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/pastebinit/pastebinit
Vcs-Browser: https://salsa.debian.org/debian/pastebinit
Vcs-Git: https://salsa.debian.org/debian/pastebinit.git

Package: pastebinit
Architecture: all
Depends: python3, python3-distro, ${misc:Depends}
Description: command-line pastebin client
 pastebinit is a command-line tool to send data to a "pastebin", a web site
 which allows its users to upload snippets of text for public viewing.

=== debian/watch ===
version=4
https://github.com/pastebinit/pastebinit/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## pastebinit 1.7.0

=== debian/changelog ===
pastebinit (1.7.0-1) unstable; urgency=medium

  * New upstream release (1.7.0).
  * d/pastebinit.docs: Update documentation path for markdown change
    in upstream README file.

 -- Thomas Ward <teward@ubuntu.com>  Mon, 13 May 2024 15:41:27 -0400

## pastebinit 1.7.1

=== po/Makefile ===
--- 
+++ 
@@ -9,4 +9,4 @@
 build-mo: $(patsubst %.po,%.mo,$(wildcard *.po))
 
 update-po:
-	pygettext -a -D ../pastebinit
+	pygettext3 -a -D ../pastebinit

=== debian/changelog ===
pastebinit (1.7.1-1) unstable; urgency=medium

  * New upstream release (1.7.1)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 13 Nov 2024 16:59:35 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: pastebinit
 Architecture: all
-Depends: python3, python3-distro, ${misc:Depends}
+Depends: python3:any, python3-distro, ${misc:Depends}
 Description: command-line pastebin client
  pastebinit is a command-line tool to send data to a "pastebin", a web site
  which allows its users to upload snippets of text for public viewing.

## pastebinit 1.8.0

=== debian/changelog ===
pastebinit (1.8.0-1) unstable; urgency=medium

  * New upstream release (1.8.0)

 -- Thomas Ward <teward@ubuntu.com>  Sun, 30 Nov 2025 18:26:07 -0500
